sign-ubuntu1604:
  tags:
    - docker
  image:
    name: registry.gitlab.com/saltstack/open/cicd/containers/pkg-ubuntu1604:latest
  stage: sign
  dependencies:
    - pkg-tags-ubuntu1604
  artifacts:
    name: "$CI_JOB_NAME-$CI_COMMIT_REF_NAME"
    paths:
      - "*.deb"
      - "artifacts"
    expire_in: 120 days
  rules:
    - if: "$CI_COMMIT_TAG != null && $CI_PROJECT_PATH == $CICD_UPSTREAM_PATH"
  script:
    - apt purge -y gnupg
    - install -m 700 -d $HOME/.gnupg
    - echo -e "use-agent\npinentry-mode loopback" > $HOME/.gnupg/gpg.conf
    - echo -e "allow-preset-passphrase\nallow-loopback-pinentry" > $HOME/.gnupg/gpg-agent.conf
    - gpgconf --kill gpg-agent
    - export GPG_TTY=$(tty)
    - gpg2 --batch --no-tty --import "${CICD_SALTSTACK_GPG_SIGNING_KEY}"
    - 'export KEYID="$(gpg2 --fingerprint --with-colons packaging@saltstack.com | grep ^fpr | cut -d: -f10 | head -n1)"'
    - TEMPFILE=`mktemp`
    - echo `date` > $TEMPFILE
    - gpg2 --batch --no-tty --passphrase-file <(echo "${PLUGIN_GPG_PASSPHRASE}") --clearsign -a --output /dev/null $TEMPFILE
    - find . -type f -name "${CICD_JFROG_PKG_STRING}".dsc -print0 | xargs -0 -n1 debsign --re-sign -k "${KEYID}"
